unit reg400;

interface

(*
Copyright (C) 1998 Paul Toth (TothPaul@Mygale.org)
 http://www.mygale.org/~tothpaul

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*)


uses
  Windows, Messages, SysUtils, Graphics, Controls, Dialogs,
  ExtCtrls, StdCtrls,
 classes,DsgnIntf,forms,
 as400,dlg400,ParmEdit;

procedure register;

implementation

{$R VCL400}
Type
 TDlg400Editor=class(TComponentEditor)
  Function GetVerbCount:Integer; override;
  Function GetVerb(Index:Integer):String; override;
  Procedure ExecuteVerb(Index:Integer); override;
 end;

 TCall400Editor=class(TComponentEditor)
  Function GetVerbCount:Integer; override;
  Function GetVerb(Index:Integer):String; override;
  Procedure ExecuteVerb(Index:Integer); override;
 end;

{ TDlg400Editor }
 Function TDlg400Editor.GetVerbCount;
  begin
   Result:=1;
  end;

 Function TDlg400Editor.GetVerb(Index:Integer):string;
  begin
   Result:='Show';
  end;

 Procedure TDlg400Editor.ExecuteVerb(Index:Integer);
  begin
   TDlg400(Component).Execute;
  end;

{ TCall400Editor }
 Function TCall400Editor.GetVerbCount;
  begin
   Result:=1;
  end;

 Function TCall400Editor.GetVerb(Index:Integer):string;
  begin
   Result:='Edit parms';
  end;

 Procedure TCall400Editor.ExecuteVerb(Index:Integer);
  begin
  if ParmEditor=nil then begin
   ParmEditor:=TParmEditor.Create(Application);
   ParmEditor.Designer400:=Designer;
  end;
  ParmEditor.Call400:=Component as TCall400;
  ParmEditor.Show;
 end;

procedure register;
 begin
  RegisterComponents('VCL400',[
   TAs400,
   TSysList,TLibList,TLibFiles,TLibFileSelection,TDlg400,
   TCall400
  ]);

  RegisterComponentEditor(TDlg400,TDlg400Editor);
  RegisterComponentEditor(TCall400,TCall400Editor);

  RegisterClasses([TParm400]);
  RegisterNoIcon([TParm400]);
 end;

end.
